Subject: bug#59196: Update on bug#59196: `guix pull` fails on A20-OLinuXino-LIME2-eMMC

From: Julien Lepiller <[email-masked]>
Date: Wed, 27 Nov 2024 22:13:06 +0100

This is usually due to memory usage. You can cry with -c1, which limits builds to one core, but I'm not sure it will lower the build's memory footprint. Maybe try to stop some running services if they can free up some space…

Alternatively, you could also offload the build to a more powerful machine (using qemu-binfmt-service if needed) or copy the result from that machine.

Le 27 novembre 2024 18:43:55 GMT+01:00, Tanguy LE CARROUR <[email-masked]> a écrit :
>Hi Julien, hi Guix,
>
>
>Quoting Tanguy LE CARROUR (2024-11-27 12:51:48)
>> Quoting Julien Lepiller (2024-11-27 12:20:30)
>> > You'd probably want to use the same bootloader as your armbian (I guess u-boot). It's described in the blogpost, you need to find or create the package specific to your board.
>> 
>> Oh, you mean I should read the post **before** asking questions!? 🤔… 😅
>> 
>> ```
>> (operating-system
>>   [...]
>>   (bootloader
>>     (bootloader-configuration
>>       (target "/dev/mmcblk0")
>>       (bootloader u-boot-a20-olinuxino-lime-bootloader)))
>>   [...])
>> ```
>
>Better, but not quite there yet! 😞
>
>```
>tanguy@lime2:~$ time sudo guix system init /etc/config.scm /
>[sudo] Mot de passe de tanguy :
>/etc/config.scm:12:24: avertissement : the 'target' field is deprecated, please use 'targets' instead
>substitute: mise à jour des substituts depuis « https://ci.guix.gnu.org »... 100.0 %
>substitute: mise à jour des substituts depuis « https://bordeaux.guix.gnu.org »... 100.0 %
>La dérivation suivante sera compilée :
>  /gnu/store/fn72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv
>
>construction de /gnu/store/fn72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv...
> 42% [#####################################################################################                                                                                                                       ]builder for `/gnu/store/fn72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv' failed with exit code 1
>la compilation de /gnu/store/fn72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv a échoué
>Vous trouverez le journal de compilation dans « /var/log/guix/drvs/fn/72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv.gz ».
>guix system: erreur : build of `/gnu/store/fn72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv' failed
>
>real    199m10,635s
>user    0m1,296s
>sys     0m1,125s
>```
>
>```
>tanguy@lime2:~$ gunzip -c /var/log/guix/drvs/fn/72p7ldbwlqdkdnm84dm49lilbvmki5-guix-1.4.0rc2.drv.gz
># […]
>[ 41%] GUILEC   gnu/packages/configuration-management.go
>[ 41%] GUILEC   gnu/packages/conky.go
>[ 41%] GUILEC   gnu/packages/connman.go
>[ 41%] GUILEC   gnu/packages/containers.go
>[ 41%] GUILEC   gnu/packages/convmv.go
>[ 42%] GUILEC   gnu/packages/cook.go
>[ 42%] GUILEC   gnu/packages/coq.go
>[ 42%] GUILEC   gnu/packages/cpio.go
>[ 42%] GUILEC   gnu/packages/cpp.go
>[ 42%] GUILEC   gnu/packages/cppi.go
>[ 42%] GUILEC   gnu/packages/cran.go
>[ 42%] GUILEC   gnu/packages/crates-io.go
>make[2]: *** [Makefile:6849: make-packages1-go] Killed
>make[2]: Leaving directory '/tmp/guix-build-guix-1.4.0rc2.drv-0/source'
>make[1]: *** [Makefile:5929: all-recursive] Error 1
>make[1]: Leaving directory '/tmp/guix-build-guix-1.4.0rc2.drv-0/source'
>make: *** [Makefile:4043: all] Error 2
>error: in phase 'build': uncaught exception:
>%exception #<&invoke-error program: "make" arguments: ("-j" "2") exit-status: 2 term-signal: #f stop-signal: #f> 
>phase `build' failed after 11743.3 seconds
>command "make" "-j" "2" failed with status 2
>```
>
>I guess the `Killed` is not a good thing!
>